Skip to main content

List system softwares

GET/v2/system-softwares
API version
v2
Request method
GET
Operation ID
app-list-systemsoftwares

Request​

Responses​

Response headers
  • X-Pagination-Limitinteger

    The limit used to select the resources for the response

  • X-Pagination-Skipinteger

    The number of skipped items

  • X-Pagination-Pagenumber

    The calculate page of the list response. Refer to parameters to learn more.

  • X-Pagination-TotalCountinteger

    The total amount of items available in the remote ressource. Use this value in combination with the limit to calculate the available pages.

Format
application/json
Description

Object containing the list of SystemSoftwares.

  • Array[

    A SystemSoftware is a software that can be installed for an AppInstallation but mostly is not itself externally reachable and/or deliverable.

    • *object

      A SystemSoftware is a software that can be installed for an AppInstallation but mostly is not itself externally reachable and/or deliverable.

      • idstringrequired
      • metaobject
        • *string
      • namestringrequired
      • tagsarray of stringrequired
        • Array[
          • *string
          ]
    ]
Content-Type: application/json

[
{
"id": "string",
"meta": {
"string": "string"
},
"name": "string",
"tags": [
"string"
]
}
]
{
"items": {
"description": "A SystemSoftware is a software that can be installed for an AppInstallation but mostly is not itself externally reachable and/or deliverable.",
"properties": {
"id": {
"type": "string"
},
"meta": {
"additionalProperties": {
"type": "string"
},
"type": "object"
},
"name": {
"type": "string"
},
"tags": {
"items": {
"type": "string"
},
"type": "array"
}
},
"required": [
"id",
"name",
"tags"
],
"type": "object"
},
"type": "array"
}

Usage examples​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/system-softwares?limit=50&page=1
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.app.listSystemsoftwares({
"queryParameters": {
"limit": 50,
"page": 1
}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\App\ListSystemsoftwares\ListSystemsoftwaresRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new ListSystemsoftwaresRequest())
->withLimit(50)
->withPage(1);
$response = $client->app()->listSystemsoftwares($request);

var_dump($response->getBody();

On this page